com.amazonaws.services.simpleworkflow.model

## Class SignalExternalWorkflowExecutionFailedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.SignalExternalWorkflowExecutionFailedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class SignalExternalWorkflowExecutionFailedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `SignalExternalWorkflowExecutionFailed` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SignalExternalWorkflowExecutionFailedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SignalExternalWorkflowExecutionFailedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getCause()` The cause of the failure.
`String` `getControl()`
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal.
`Long` `getInitiatedEventId()` The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflowExecution` decision to request this signal.
`String` `getRunId()` The `runId` of the external workflow execution that the signal was being delivered to.
`String` `getWorkflowId()` The `workflowId` of the external workflow execution that the signal was being delivered to.
`int` `hashCode()`
`void` `setCause(SignalExternalWorkflowExecutionFailedCause cause)` The cause of the failure.
`void` `setCause(String cause)` The cause of the failure.
`void` `setControl(String control)`
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal.
`void` `setInitiatedEventId(Long initiatedEventId)` The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflowExecution` decision to request this signal.
`void` `setRunId(String runId)` The `runId` of the external workflow execution that the signal was being delivered to.
`void` `setWorkflowId(String workflowId)` The `workflowId` of the external workflow execution that the signal was being delivered to.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`SignalExternalWorkflowExecutionFailedEventAttributes` `withCause(SignalExternalWorkflowExecutionFailedCause cause)` The cause of the failure.
`SignalExternalWorkflowExecutionFailedEventAttributes` `withCause(String cause)` The cause of the failure.
`SignalExternalWorkflowExecutionFailedEventAttributes` `withControl(String control)`
`SignalExternalWorkflowExecutionFailedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal.
`SignalExternalWorkflowExecutionFailedEventAttributes` `withInitiatedEventId(Long initiatedEventId)` The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflowExecution` decision to request this signal.
`SignalExternalWorkflowExecutionFailedEventAttributes` `withRunId(String runId)` The `runId` of the external workflow execution that the signal was being delivered to.
`SignalExternalWorkflowExecutionFailedEventAttributes` `withWorkflowId(String workflowId)` The `workflowId` of the external workflow execution that the signal was being delivered to.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SignalExternalWorkflowExecutionFailedEventAttributes

    public SignalExternalWorkflowExecutionFailedEventAttributes()

### Method Detail

#### setWorkflowId

    public void setWorkflowId(String workflowId)

The `workflowId` of the external workflow execution that the signal was being delivered to.

Parameters:
  `workflowId` - The `workflowId` of the external workflow execution that the signal was being delivered to.

#### getWorkflowId

    public String getWorkflowId()

The `workflowId` of the external workflow execution that the signal was being delivered to.

Returns:
  The `workflowId` of the external workflow execution that the signal was being delivered to.

#### withWorkflowId

    public SignalExternalWorkflowExecutionFailedEventAttributes withWorkflowId(String workflowId)

The `workflowId` of the external workflow execution that the signal was being delivered to.

Parameters:
  `workflowId` - The `workflowId` of the external workflow execution that the signal was being delivered to.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRunId

    public void setRunId(String runId)

The `runId` of the external workflow execution that the signal was being delivered to.

Parameters:
  `runId` - The `runId` of the external workflow execution that the signal was being delivered to.

#### getRunId

    public String getRunId()

The `runId` of the external workflow execution that the signal was being delivered to.

Returns:
  The `runId` of the external workflow execution that the signal was being delivered to.

#### withRunId

    public SignalExternalWorkflowExecutionFailedEventAttributes withRunId(String runId)

The `runId` of the external workflow execution that the signal was being delivered to.

Parameters:
  `runId` - The `runId` of the external workflow execution that the signal was being delivered to.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCause

    public void setCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `SignalExternalWorkflowExecutionFailedCause`

#### getCause

    public String getCause()

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Returns:
  The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `SignalExternalWorkflowExecutionFailedCause`

#### withCause

    public SignalExternalWorkflowExecutionFailedEventAttributes withCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SignalExternalWorkflowExecutionFailedCause`

#### setCause

    public void setCause(SignalExternalWorkflowExecutionFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `SignalExternalWorkflowExecutionFailedCause`

#### withCause

    public SignalExternalWorkflowExecutionFailedEventAttributes withCause(SignalExternalWorkflowExecutionFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SignalExternalWorkflowExecutionFailedCause`

#### setInitiatedEventId

    public void setInitiatedEventId(Long initiatedEventId)

The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflowExecution` decision to request this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflowExecution` decision to request this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getInitiatedEventId

    public Long getInitiatedEventId()

The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflowExecution` decision to request this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflowExecution` decision to request this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withInitiatedEventId

    public SignalExternalWorkflowExecutionFailedEventAttributes withInitiatedEventId(Long initiatedEventId)

The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflowExecution` decision to request this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `SignalExternalWorkflowExecutionInitiated` event corresponding to the `SignalExternalWorkflowExecution` decision to request this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public SignalExternalWorkflowExecutionFailedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setControl

    public void setControl(String control)

Parameters:
  `control` -

#### getControl

    public String getControl()

Returns:

#### withControl

    public SignalExternalWorkflowExecutionFailedEventAttributes withControl(String control)

Parameters:
  `control` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public SignalExternalWorkflowExecutionFailedEventAttributes clone()

Overrides:
  `clone` in class `Object`